ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Typedefs | Functions
log.h File Reference

Boost.Log compatibility. More...

`#include <ostream>`
`#include <string>`
`#include <ome/common/config.h>`
`#include <boost/log/core.hpp>`
`#include <boost/log/trivial.hpp>`
`#include <boost/log/expressions.hpp>`
`#include <boost/log/sources/severity_logger.hpp>`
`#include <boost/log/sources/severity_feature.hpp>`
`#include <boost/log/attributes/constant.hpp>`
Include dependency graph for log.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| ome::common
| OME compatibility functions and classes.

## Typedefs
typedef logging::sources::severity_logger_mt< logging::trivial::severity_level > | ome::common::Logger
| Message logger.

## Functions
Logger | ome::common::createLogger (const std::string &className)
| Create a message logger for a class. More...
void | ome::common::setLogLevel (logging::trivial::severity_level severity)
| Set global logging level. More...
logging::trivial::severity_level | ome::common::getLogLevel ()
| Get global logging level. More...

## Detailed Description

Boost.Log compatibility.

This header provides additional functionality on top of the Boost.Log library.